Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Cloud.cscfg
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Cloud.cscfg	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Cloud.cscfg	(revision 7005)
@@ -4,6 +4,14 @@
     <Instances count="1" />
     <ConfigurationSettings>
-      <Setting name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" value="UseDevelopmentStorage=true" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" value="DefaultEndpointsProtocol=https;AccountName=hivestorage;AccountKey=Idq7D7dTvhpByPproP//rmdEaU5gmRxG62jAnJdghgzKqolnzsWjVTwNbg3p5BXVl86FuAXqvKlUAYFrMuSCMw==" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" value="true" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" value="hive" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" value="MIIBnQYJKoZIhvcNAQcDoIIBjjCCAYoCAQAxggFOMIIBSgIBADAyMB4xHDAaBgNVBAMME1dpbmRvd3MgQXp1cmUgVG9vbHMCEHUA/gAGlSmLSAQNTaQ6iIgwDQYJKoZIhvcNAQEBBQAEggEABcxB+WE3pemmg4hWQENKyxqCf9KpTn4eHFM7YYm60mBBta90L4d2mpX5PMj540DYMw8f9j+un1JZHWzQldZxU8D0VkWuK700Qo2YSHxBsS7jkpRXhWfUMkUYYsFDYMm7j9cM8zQInEOsELlaEhrWCNMXD6oZxTQCQTJTIiy7KH41i61Mostpm10gxnOGdrj1HSUVapfF87FvNRzgUWjOMZnO3tu5ptF5INxxQ99kxL5qEmnp7N9qiH2PkbfkTNRV12S54k4xqh9US/3GzRVlLgXQ2XkifPqHIBhl15kOZSbFQ4LwxD4HUGgKKBRmoTbeZqVUshXZvhmfS71zSR7sxjAzBgkqhkiG9w0BBwEwFAYIKoZIhvcNAwcECCnKWoHrNUf4gBAf2IojnEYYtX2+Ud/dNrYS" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" value="2012-12-31T23:59:59.0000000+01:00" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" value="true" />
     </ConfigurationSettings>
+    <Certificates>
+      <Certificate name="Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" thumbprint="8CDEB87D1DF5CC70298920831DC089976D42DBA0" thumbprintAlgorithm="sha1" />
+    </Certificates>
   </Role>
 </ServiceConfiguration>
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Local.cscfg
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Local.cscfg	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Local.cscfg	(revision 7005)
@@ -5,5 +5,13 @@
     <ConfigurationSettings>
       <Setting name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" value="UseDevelopmentStorage=true" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.Enabled" value="true" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountUsername" value="hive" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" value="MIIBnQYJKoZIhvcNAQcDoIIBjjCCAYoCAQAxggFOMIIBSgIBADAyMB4xHDAaBgNVBAMME1dpbmRvd3MgQXp1cmUgVG9vbHMCEHUA/gAGlSmLSAQNTaQ6iIgwDQYJKoZIhvcNAQEBBQAEggEABcxB+WE3pemmg4hWQENKyxqCf9KpTn4eHFM7YYm60mBBta90L4d2mpX5PMj540DYMw8f9j+un1JZHWzQldZxU8D0VkWuK700Qo2YSHxBsS7jkpRXhWfUMkUYYsFDYMm7j9cM8zQInEOsELlaEhrWCNMXD6oZxTQCQTJTIiy7KH41i61Mostpm10gxnOGdrj1HSUVapfF87FvNRzgUWjOMZnO3tu5ptF5INxxQ99kxL5qEmnp7N9qiH2PkbfkTNRV12S54k4xqh9US/3GzRVlLgXQ2XkifPqHIBhl15kOZSbFQ4LwxD4HUGgKKBRmoTbeZqVUshXZvhmfS71zSR7sxjAzBgkqhkiG9w0BBwEwFAYIKoZIhvcNAwcECCnKWoHrNUf4gBAf2IojnEYYtX2+Ud/dNrYS" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" value="2012-12-31T23:59:59.0000000+01:00" />
+      <Setting name="Microsoft.WindowsAzure.Plugins.RemoteForwarder.Enabled" value="true" />
     </ConfigurationSettings>
+    <Certificates>
+      <Certificate name="Microsoft.WindowsAzure.Plugins.RemoteAccess.PasswordEncryption" thumbprint="8CDEB87D1DF5CC70298920831DC089976D42DBA0" thumbprintAlgorithm="sha1" />
+    </Certificates>
   </Role>
 </ServiceConfiguration>
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.build.csdef
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.build.csdef	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.build.csdef	(revision 7005)
@@ -13,4 +13,6 @@
     <Imports>
       <Import moduleName="Diagnostics" />
+      <Import moduleName="RemoteAccess" />
+      <Import moduleName="RemoteForwarder" />
     </Imports>
   </WorkerRole>
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.csdef
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.csdef	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.csdef	(revision 7005)
@@ -4,4 +4,6 @@
     <Imports>
       <Import moduleName="Diagnostics" />
+      <Import moduleName="RemoteAccess" />
+      <Import moduleName="RemoteForwarder" />
     </Imports>
   </WorkerRole>
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.AzureClient/WorkerRole.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.AzureClient/WorkerRole.cs	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.AzureClient/WorkerRole.cs	(revision 7005)
@@ -1,5 +1,7 @@
-﻿using System.Net;
+﻿using System;
+using System.Net;
 using System.Threading;
 using HeuristicLab.Clients.Hive.SlaveCore;
+using Microsoft.WindowsAzure.Diagnostics;
 using Microsoft.WindowsAzure.ServiceRuntime;
 
@@ -23,4 +25,10 @@
       ServicePointManager.DefaultConnectionLimit = 12;
       core = new Core();
+
+      DiagnosticMonitorConfiguration dmc = DiagnosticMonitor.GetDefaultInitialConfiguration();
+      dmc.Logs.ScheduledTransferPeriod = TimeSpan.FromMinutes(1);
+      dmc.Logs.ScheduledTransferLogLevelFilter = LogLevel.Verbose;
+      DiagnosticMonitor.Start("Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString", dmc);
+
       return base.OnStart();
     }
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.Designer.cs	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.Designer.cs	(revision 7005)
@@ -302,5 +302,5 @@
         [global::System.Configuration.UserScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("Pipe")]
+        [global::System.Configuration.DefaultSettingValueAttribute("Trace")]
         public global::HeuristicLab.Clients.Hive.SlaveCore.ClientComType ClientComType {
             get {
Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.settings
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.settings	(revision 7003)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.settings	(revision 7005)
@@ -73,5 +73,5 @@
     </Setting>
     <Setting Name="ClientComType" Type="HeuristicLab.Clients.Hive.SlaveCore.ClientComType" Scope="User">
-      <Value Profile="(Default)">Pipe</Value>
+      <Value Profile="(Default)">Trace</Value>
     </Setting>
   </Settings>